aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFrederic Crozat <fcrozat@mandriva.com>2009-03-30 16:34:04 +0000
committerFrederic Crozat <fcrozat@mandriva.com>2009-03-30 16:34:04 +0000
commitc3e2710be82bbaaa6dedc9b43eab0369cd0cf3be (patch)
tree7e94ab5ceec070dccb4f91ed73a5d73ef5f9e163
parentfa2bca9a3f697513fde295cb5139d7c41f92cb54 (diff)
downloadbootsplash-c3e2710be82bbaaa6dedc9b43eab0369cd0cf3be.tar
bootsplash-c3e2710be82bbaaa6dedc9b43eab0369cd0cf3be.tar.gz
bootsplash-c3e2710be82bbaaa6dedc9b43eab0369cd0cf3be.tar.bz2
bootsplash-c3e2710be82bbaaa6dedc9b43eab0369cd0cf3be.tar.xz
bootsplash-c3e2710be82bbaaa6dedc9b43eab0369cd0cf3be.zip
- Release 3.2.23 :
- Replace ping call for splashy with test instead of repaint - Redirect stderr for all splashy_update calls to /dev/null
-rw-r--r--Makefile2
-rw-r--r--scripts/splash.sh8
2 files changed, 5 insertions, 5 deletions
diff --git a/Makefile b/Makefile
index 33f17fe..e990dc9 100644
--- a/Makefile
+++ b/Makefile
@@ -1,5 +1,5 @@
NAME=bootsplash
-VERSION := 3.2.22
+VERSION := 3.2.23
SUBDIRS=scripts fb fbmngplay fbtruetype splash po
FILES=$(SUBDIRS) Makefile ChangeLog README
diff --git a/scripts/splash.sh b/scripts/splash.sh
index 64af011..f87efed 100644
--- a/scripts/splash.sh
+++ b/scripts/splash.sh
@@ -58,7 +58,7 @@ splashy_check() {
splashy_exit() {
if [ "$splash_mode" = "splashy" ]; then
- splashy_is_running && /sbin/splashy_update exit
+ splashy_is_running && /sbin/splashy_update exit 2>/dev/null
clear >/dev/tty8
[ "$runlevel" != "5" ] && chvt 1
fi
@@ -68,7 +68,7 @@ update_progress() {
if [ "$splash_mode" = "bootsplash" ]; then
bootsplash_write "show $(( 65534 * ( $progress + 1 ) / $num ))"
elif [ "$splash_mode" = "splashy" ]; then
- /sbin/splashy_update "progress $(( 100 * $progress / $nbservices ))"
+ /sbin/splashy_update "progress $(( 100 * $progress / $nbservices ))" 2>/dev/null
fi
}
@@ -147,7 +147,7 @@ num=$(( $nbservices + 2 ))
# Initialize and print text string..
if [ "$progress" == 1 -o "$1" == "start" -o "$1" == "suspend" -o -f /dev/.splashy_shutdown ]; then
- [ ! -f /dev/.splashy_shutdown ] || /sbin/splashy_update repaint 2>/dev/null|| exit 0
+ [ ! -f /dev/.splashy_shutdown ] || /sbin/splashy_update test 2>/dev/null || exit 0
# depending on the languages, we need to use a font different of
# the default one; in such case the font must be accessible, or
# the translation is disabled.
@@ -283,7 +283,7 @@ if [ "$progress" == 1 -o "$1" == "start" -o "$1" == "suspend" -o -f /dev/.splash
if [ "$text_x" != "" -a "$text_y" != "" \
-a "$text_color" != "" -a "$text_size" != "" -a "$_silent" == "yes" -o "$_shutdown" == "yes" -o "$1" == "suspend" ]; then
gprintf "Press Esc for verbose mode."
- splashy_is_running && /sbin/splashy_update repaint 2>/dev/null || exit 0
+ splashy_is_running && /sbin/splashy_update test 2>/dev/null || exit 0
fbtruetype.static -x $text_x -y $text_y -t $text_color -s $text_size \
$custom_font "$_boot $TEXT"
rm -f /dev/.splashy_shutdown